View Issue Details

IDProjectCategoryView StatusLast Update
0002216SymmetricDSBugpublic2015-03-06 10:16
ReporterondrejhalaAssigned Tochenson 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.6 
Target Version3.7.9Fixed in Version3.7.9 
Summary0002216: Replication of rows with NULL in large object column on PostgreSQL throws exception
DescriptionUnable to sync rows with NULL in large object column on PostgreSQL.
method getBlobAsBytes throws NullPointerException.
Steps To ReproduceInsert a row with NULL in column of type lo to table in running replication system.

or

Insert a row with NULL in column of type lo to table. Install SymmetricDS on two nodes and start initial load.
Additional InformationTable with lo column.

CREATE TABLE attachment
(
  id bigint NOT NULL,
  packed_len bigint NOT NULL,
  packed_len_id bigint NOT NULL,
  buffer lo
)
WITH (
  OIDS=FALSE
);

LOG Entry:
ERROR [ta-master-1-pilsen] [NodeCommunicationService] [ta-master-1-pilsen-extract-17] Failed to execute EXTRACT for node ta-postgres-master-server-2-pilsen
java.lang.NullPointerException
    at org.springframework.jdbc.support.lob.DefaultLobHandler.getBlobAsBytes(DefaultLobHandler.java:147)
    at org.jumpmind.db.platform.postgresql.PostgresLobHandler.getBlobAsBytes(PostgresLobHandler.java:49)
    at org.jumpmind.db.sql.JdbcSqlTemplate$2.execute(JdbcSqlTemplate.java:184)
    at org.jumpmind.db.sql.JdbcSqlTemplate$2.execute(JdbcSqlTemplate.java:170)
    at org.jumpmind.db.sql.JdbcSqlTemplate.execute(JdbcSqlTemplate.java:430)
    at org.jumpmind.db.sql.JdbcSqlTemplate.queryForBlob(JdbcSqlTemplate.java:170)
    at org.jumpmind.symmetric.io.data.reader.ExtractDataReader.enhanceWithLobsFromSourceIfNeeded(ExtractDataReader.java:179)
    at org.jumpmind.symmetric.io.data.reader.ExtractDataReader.nextData(ExtractDataReader.java:123)
    at org.jumpmind.symmetric.io.data.DataProcessor.forEachDataInTable(DataProcessor.java:190)
    at org.jumpmind.symmetric.io.data.DataProcessor.forEachTableInBatch(DataProcessor.java:169)
    at org.jumpmind.symmetric.io.data.DataProcessor.process(DataProcessor.java:115)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.extractOutgoingBatch(DataExtractorService.java:707)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.execute(DataExtractorService.java:1069)
    at org.jumpmind.symmetric.service.impl.NodeCommunicationService$2.run(NodeCommunicationService.java:307)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)


Tagslarge objects, lo, postgres, postgresql

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master cd05142b

2015-03-01 16:28:28

chenson

Details Diff
0002216: Replication of rows with NULL in large object column on PostgreSQL throws exception
0002216
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgresLobHandler.java Diff File

Issue History

Date Modified Username Field Change
2015-02-24 11:12 ondrejhala New Issue
2015-02-24 11:13 ondrejhala Tag Attached: large objects
2015-02-24 11:13 ondrejhala Tag Attached: lo
2015-02-24 11:13 ondrejhala Tag Attached: postgres
2015-02-24 11:13 ondrejhala Tag Attached: postgresql
2015-03-01 16:28 chenson Assigned To => chenson
2015-03-01 16:28 chenson Status new => assigned
2015-03-01 16:28 chenson Fixed in Version => 3.7.9
2015-03-01 16:28 chenson Target Version => 3.7.9
2015-03-01 16:28 chenson Status assigned => resolved
2015-03-01 16:28 chenson Resolution open => fixed
2015-03-01 17:00 chenson Changeset attached => SymmetricDS trunk r9384
2015-03-06 10:16 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master cd05142b